﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule;
using System.Threading;

namespace UltraDateTimeEditor
{
    public partial class Form1 : Form
    {

        private MonthCalendar mc;

        public Form1()
        {
            InitializeComponent();
            mc = new MonthCalendar();
            mc.DateSelected += new DateRangeEventHandler(mc_DateSelected);
        }

        private void ultraDateTimeEditor1_ValueChanged(object sender, EventArgs e)
        {
            //MessageBox.Show("The event ValueChanged fired");
        }

        private void ultraDateTimeEditor1_Click(object sender, EventArgs e)
        {
            mc.Location = new Point(ultraDateTimeEditor1.Location.X - 32, ultraDateTimeEditor1.Location.Y + 22);
            mc.Size = new Size(200, 160);
            mc.Parent = this;
            mc.Focus();
            mc.Show();
        }

        void mc_DateSelected(object sender, DateRangeEventArgs e)
        {
            ultraDateTimeEditor1.Value = mc.SelectionEnd;
            mc.Hide();
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            MessageBox.Show(String.Format( "{0:yyyyMMdd HHmmss}", ultraDateTimeEditor1.Value));
        }
    }
}